
package ZCS::Admin::Elements::DelegateAuthRequest;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'urn:zimbraAdmin' }

__PACKAGE__->__set_name('DelegateAuthRequest');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS = 'ZCS::Admin::Elements::DelegateAuthRequest::XmlAttr';

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %account_of :ATTR(:get<account>);

__PACKAGE__->_factory(
    [ qw(        account

    ) ],
    {
        'account' => \%account_of,
    },
    {
        'account' => 'ZCS::Admin::Types::GetAccountSpecifier',
    },
    {

        'account' => 'account',
    }
);

} # end BLOCK




package ZCS::Admin::Elements::DelegateAuthRequest::XmlAttr;
use base qw(SOAP::WSDL::XSD::Typelib::AttributeSet);

{ # BLOCK to scope variables

my %duration_of :ATTR(:get<duration>);

__PACKAGE__->_factory(
    [ qw(
        duration
    ) ],
    {

        duration => \%duration_of,
    },
    {
        duration => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    }
);

} # end BLOCK


} # end of BLOCK



1;


=pod

=head1 NAME

ZCS::Admin::Elements::DelegateAuthRequest

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DelegateAuthRequest from the namespace urn:zimbraAdmin.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * account

 $element->set_account($data);
 $element->get_account();





=back


=head1 METHODS

=head2 new

 my $element = ZCS::Admin::Elements::DelegateAuthRequest->new($data);

Constructor. The following data structure may be passed to new():

 {
   account =>  { value => $some_value },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

